package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Role privilege
 */
@ApiModel(description = "Role privilege")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class RoleVo   {
  @JsonProperty("mspDashboard")
  private Integer mspDashboard;

  @JsonProperty("mspDevice")
  private Integer mspDevice;

  @JsonProperty("mspLog")
  private Integer mspLog;

  @JsonProperty("mspLicense")
  private Integer mspLicense;

  @JsonProperty("mspLicenseBind")
  private Integer mspLicenseBind;

  @JsonProperty("mspUsers")
  private Integer mspUsers;

  @JsonProperty("mspRoles")
  private Integer mspRoles;

  @JsonProperty("mspSamlUsers")
  private Integer mspSamlUsers;

  @JsonProperty("mspSamlRoles")
  private Integer mspSamlRoles;

  @JsonProperty("mspSamlSsos")
  private Integer mspSamlSsos;

  @JsonProperty("mspSetting")
  private Integer mspSetting;

  @JsonProperty("mspExportData")
  private Integer mspExportData;

  @JsonProperty("mspAdopt")
  private Integer mspAdopt;

  @JsonProperty("mspAddDevices")
  private Integer mspAddDevices;

  @JsonProperty("mspAddAdoptDevice")
  private Integer mspAddAdoptDevice;

  @JsonProperty("mspWebhook")
  private Integer mspWebhook;

  @JsonProperty("mspSites")
  private Integer mspSites;

  @JsonProperty("globalDashboard")
  private Integer globalDashboard;

  @JsonProperty("dashboard")
  private Integer dashboard;

  @JsonProperty("devices")
  private Integer devices;

  @JsonProperty("adopt")
  private Integer adopt;

  @JsonProperty("addDevices")
  private Integer addDevices;

  @JsonProperty("addAdoptDevice")
  private Integer addAdoptDevice;

  @JsonProperty("globalLog")
  private Integer globalLog;

  @JsonProperty("manualUpgrade")
  private Integer manualUpgrade;

  @JsonProperty("log")
  private Integer log;

  @JsonProperty("license")
  private Integer license;

  @JsonProperty("licenseBind")
  private Integer licenseBind;

  @JsonProperty("users")
  private Integer users;

  @JsonProperty("roles")
  private Integer roles;

  @JsonProperty("samlUsers")
  private Integer samlUsers;

  @JsonProperty("samlRoles")
  private Integer samlRoles;

  @JsonProperty("samlSsos")
  private Integer samlSsos;

  @JsonProperty("globalSetting")
  private Integer globalSetting;

  @JsonProperty("exportData")
  private Integer exportData;

  @JsonProperty("globalExportData")
  private Integer globalExportData;

  @JsonProperty("exportGlobalLog")
  private Integer exportGlobalLog;

  @JsonProperty("hotspot")
  private Integer hotspot;

  @JsonProperty("statics")
  private Integer statics;

  @JsonProperty("map")
  private Integer map;

  @JsonProperty("clients")
  private Integer clients;

  @JsonProperty("insight")
  private Integer insight;

  @JsonProperty("report")
  private Integer report;

  @JsonProperty("network")
  private Integer network;

  @JsonProperty("deviceAccount")
  private Integer deviceAccount;

  @JsonProperty("anomaly")
  private Integer anomaly;

  @JsonProperty("analyze")
  private Integer analyze;

  @JsonProperty("siteAnalyze")
  private Integer siteAnalyze;

  @JsonProperty("globalSecurity")
  private Integer globalSecurity;

  @JsonProperty("globalWebhook")
  private Integer globalWebhook;

  @JsonProperty("globalMapToken")
  private Integer globalMapToken;

  @JsonProperty("siteTemplate")
  private Integer siteTemplate;

  @JsonProperty("globalFirmware")
  private Integer globalFirmware;

  public RoleVo mspDashboard(Integer mspDashboard) {
    this.mspDashboard = mspDashboard;
    return this;
  }

  /**
   * msp dashboard
   * @return mspDashboard
  */
  @ApiModelProperty(value = "msp dashboard")


  public Integer getMspDashboard() {
    return mspDashboard;
  }

  public void setMspDashboard(Integer mspDashboard) {
    this.mspDashboard = mspDashboard;
  }

  public RoleVo mspDevice(Integer mspDevice) {
    this.mspDevice = mspDevice;
    return this;
  }

  /**
   * msp device
   * @return mspDevice
  */
  @ApiModelProperty(value = "msp device")


  public Integer getMspDevice() {
    return mspDevice;
  }

  public void setMspDevice(Integer mspDevice) {
    this.mspDevice = mspDevice;
  }

  public RoleVo mspLog(Integer mspLog) {
    this.mspLog = mspLog;
    return this;
  }

  /**
   * msp log
   * @return mspLog
  */
  @ApiModelProperty(value = "msp log")


  public Integer getMspLog() {
    return mspLog;
  }

  public void setMspLog(Integer mspLog) {
    this.mspLog = mspLog;
  }

  public RoleVo mspLicense(Integer mspLicense) {
    this.mspLicense = mspLicense;
    return this;
  }

  /**
   * msp license
   * @return mspLicense
  */
  @ApiModelProperty(value = "msp license")


  public Integer getMspLicense() {
    return mspLicense;
  }

  public void setMspLicense(Integer mspLicense) {
    this.mspLicense = mspLicense;
  }

  public RoleVo mspLicenseBind(Integer mspLicenseBind) {
    this.mspLicenseBind = mspLicenseBind;
    return this;
  }

  /**
   * msp license bind
   * @return mspLicenseBind
  */
  @ApiModelProperty(value = "msp license bind")


  public Integer getMspLicenseBind() {
    return mspLicenseBind;
  }

  public void setMspLicenseBind(Integer mspLicenseBind) {
    this.mspLicenseBind = mspLicenseBind;
  }

  public RoleVo mspUsers(Integer mspUsers) {
    this.mspUsers = mspUsers;
    return this;
  }

  /**
   * msp user
   * @return mspUsers
  */
  @ApiModelProperty(value = "msp user")


  public Integer getMspUsers() {
    return mspUsers;
  }

  public void setMspUsers(Integer mspUsers) {
    this.mspUsers = mspUsers;
  }

  public RoleVo mspRoles(Integer mspRoles) {
    this.mspRoles = mspRoles;
    return this;
  }

  /**
   * msp role
   * @return mspRoles
  */
  @ApiModelProperty(value = "msp role")


  public Integer getMspRoles() {
    return mspRoles;
  }

  public void setMspRoles(Integer mspRoles) {
    this.mspRoles = mspRoles;
  }

  public RoleVo mspSamlUsers(Integer mspSamlUsers) {
    this.mspSamlUsers = mspSamlUsers;
    return this;
  }

  /**
   * saml users in msp view
   * @return mspSamlUsers
  */
  @ApiModelProperty(value = "saml users in msp view")


  public Integer getMspSamlUsers() {
    return mspSamlUsers;
  }

  public void setMspSamlUsers(Integer mspSamlUsers) {
    this.mspSamlUsers = mspSamlUsers;
  }

  public RoleVo mspSamlRoles(Integer mspSamlRoles) {
    this.mspSamlRoles = mspSamlRoles;
    return this;
  }

  /**
   * saml roles in msp view
   * @return mspSamlRoles
  */
  @ApiModelProperty(value = "saml roles in msp view")


  public Integer getMspSamlRoles() {
    return mspSamlRoles;
  }

  public void setMspSamlRoles(Integer mspSamlRoles) {
    this.mspSamlRoles = mspSamlRoles;
  }

  public RoleVo mspSamlSsos(Integer mspSamlSsos) {
    this.mspSamlSsos = mspSamlSsos;
    return this;
  }

  /**
   * saml ssos in msp view
   * @return mspSamlSsos
  */
  @ApiModelProperty(value = "saml ssos in msp view")


  public Integer getMspSamlSsos() {
    return mspSamlSsos;
  }

  public void setMspSamlSsos(Integer mspSamlSsos) {
    this.mspSamlSsos = mspSamlSsos;
  }

  public RoleVo mspSetting(Integer mspSetting) {
    this.mspSetting = mspSetting;
    return this;
  }

  /**
   * msp setting
   * @return mspSetting
  */
  @ApiModelProperty(value = "msp setting")


  public Integer getMspSetting() {
    return mspSetting;
  }

  public void setMspSetting(Integer mspSetting) {
    this.mspSetting = mspSetting;
  }

  public RoleVo mspExportData(Integer mspExportData) {
    this.mspExportData = mspExportData;
    return this;
  }

  /**
   * export data in msp view
   * @return mspExportData
  */
  @ApiModelProperty(value = "export data in msp view")


  public Integer getMspExportData() {
    return mspExportData;
  }

  public void setMspExportData(Integer mspExportData) {
    this.mspExportData = mspExportData;
  }

  public RoleVo mspAdopt(Integer mspAdopt) {
    this.mspAdopt = mspAdopt;
    return this;
  }

  /**
   * msp adopt in msp view
   * @return mspAdopt
  */
  @ApiModelProperty(value = "msp adopt in msp view")


  public Integer getMspAdopt() {
    return mspAdopt;
  }

  public void setMspAdopt(Integer mspAdopt) {
    this.mspAdopt = mspAdopt;
  }

  public RoleVo mspAddDevices(Integer mspAddDevices) {
    this.mspAddDevices = mspAddDevices;
    return this;
  }

  /**
   * msp add devices in msp view
   * @return mspAddDevices
  */
  @ApiModelProperty(value = "msp add devices in msp view")


  public Integer getMspAddDevices() {
    return mspAddDevices;
  }

  public void setMspAddDevices(Integer mspAddDevices) {
    this.mspAddDevices = mspAddDevices;
  }

  public RoleVo mspAddAdoptDevice(Integer mspAddAdoptDevice) {
    this.mspAddAdoptDevice = mspAddAdoptDevice;
    return this;
  }

  /**
   * msp add and adopt devices in msp view
   * @return mspAddAdoptDevice
  */
  @ApiModelProperty(value = "msp add and adopt devices in msp view")


  public Integer getMspAddAdoptDevice() {
    return mspAddAdoptDevice;
  }

  public void setMspAddAdoptDevice(Integer mspAddAdoptDevice) {
    this.mspAddAdoptDevice = mspAddAdoptDevice;
  }

  public RoleVo mspWebhook(Integer mspWebhook) {
    this.mspWebhook = mspWebhook;
    return this;
  }

  /**
   * msp webhook in msp view
   * @return mspWebhook
  */
  @ApiModelProperty(value = "msp webhook in msp view")


  public Integer getMspWebhook() {
    return mspWebhook;
  }

  public void setMspWebhook(Integer mspWebhook) {
    this.mspWebhook = mspWebhook;
  }

  public RoleVo mspSites(Integer mspSites) {
    this.mspSites = mspSites;
    return this;
  }

  /**
   * msp sites in msp view
   * @return mspSites
  */
  @ApiModelProperty(value = "msp sites in msp view")


  public Integer getMspSites() {
    return mspSites;
  }

  public void setMspSites(Integer mspSites) {
    this.mspSites = mspSites;
  }

  public RoleVo globalDashboard(Integer globalDashboard) {
    this.globalDashboard = globalDashboard;
    return this;
  }

  /**
   * dashboard in global view
   * @return globalDashboard
  */
  @ApiModelProperty(value = "dashboard in global view")


  public Integer getGlobalDashboard() {
    return globalDashboard;
  }

  public void setGlobalDashboard(Integer globalDashboard) {
    this.globalDashboard = globalDashboard;
  }

  public RoleVo dashboard(Integer dashboard) {
    this.dashboard = dashboard;
    return this;
  }

  /**
   * dashboard
   * @return dashboard
  */
  @ApiModelProperty(value = "dashboard")


  public Integer getDashboard() {
    return dashboard;
  }

  public void setDashboard(Integer dashboard) {
    this.dashboard = dashboard;
  }

  public RoleVo devices(Integer devices) {
    this.devices = devices;
    return this;
  }

  /**
   * devices
   * @return devices
  */
  @ApiModelProperty(value = "devices")


  public Integer getDevices() {
    return devices;
  }

  public void setDevices(Integer devices) {
    this.devices = devices;
  }

  public RoleVo adopt(Integer adopt) {
    this.adopt = adopt;
    return this;
  }

  /**
   * adopt
   * @return adopt
  */
  @ApiModelProperty(value = "adopt")


  public Integer getAdopt() {
    return adopt;
  }

  public void setAdopt(Integer adopt) {
    this.adopt = adopt;
  }

  public RoleVo addDevices(Integer addDevices) {
    this.addDevices = addDevices;
    return this;
  }

  /**
   * add devices in global/customer view
   * @return addDevices
  */
  @ApiModelProperty(value = "add devices in global/customer view")


  public Integer getAddDevices() {
    return addDevices;
  }

  public void setAddDevices(Integer addDevices) {
    this.addDevices = addDevices;
  }

  public RoleVo addAdoptDevice(Integer addAdoptDevice) {
    this.addAdoptDevice = addAdoptDevice;
    return this;
  }

  /**
   * add and adopt devices in global/customer view
   * @return addAdoptDevice
  */
  @ApiModelProperty(value = "add and adopt devices in global/customer view")


  public Integer getAddAdoptDevice() {
    return addAdoptDevice;
  }

  public void setAddAdoptDevice(Integer addAdoptDevice) {
    this.addAdoptDevice = addAdoptDevice;
  }

  public RoleVo globalLog(Integer globalLog) {
    this.globalLog = globalLog;
    return this;
  }

  /**
   * log in global view
   * @return globalLog
  */
  @ApiModelProperty(value = "log in global view")


  public Integer getGlobalLog() {
    return globalLog;
  }

  public void setGlobalLog(Integer globalLog) {
    this.globalLog = globalLog;
  }

  public RoleVo manualUpgrade(Integer manualUpgrade) {
    this.manualUpgrade = manualUpgrade;
    return this;
  }

  /**
   * manual upgrade in global view
   * @return manualUpgrade
  */
  @ApiModelProperty(value = "manual upgrade in global view")


  public Integer getManualUpgrade() {
    return manualUpgrade;
  }

  public void setManualUpgrade(Integer manualUpgrade) {
    this.manualUpgrade = manualUpgrade;
  }

  public RoleVo log(Integer log) {
    this.log = log;
    return this;
  }

  /**
   * log in site view
   * @return log
  */
  @ApiModelProperty(value = "log in site view")


  public Integer getLog() {
    return log;
  }

  public void setLog(Integer log) {
    this.log = log;
  }

  public RoleVo license(Integer license) {
    this.license = license;
    return this;
  }

  /**
   * license
   * @return license
  */
  @ApiModelProperty(value = "license")


  public Integer getLicense() {
    return license;
  }

  public void setLicense(Integer license) {
    this.license = license;
  }

  public RoleVo licenseBind(Integer licenseBind) {
    this.licenseBind = licenseBind;
    return this;
  }

  /**
   * license bind
   * @return licenseBind
  */
  @ApiModelProperty(value = "license bind")


  public Integer getLicenseBind() {
    return licenseBind;
  }

  public void setLicenseBind(Integer licenseBind) {
    this.licenseBind = licenseBind;
  }

  public RoleVo users(Integer users) {
    this.users = users;
    return this;
  }

  /**
   * users in global view
   * @return users
  */
  @ApiModelProperty(value = "users in global view")


  public Integer getUsers() {
    return users;
  }

  public void setUsers(Integer users) {
    this.users = users;
  }

  public RoleVo roles(Integer roles) {
    this.roles = roles;
    return this;
  }

  /**
   * roles in global view
   * @return roles
  */
  @ApiModelProperty(value = "roles in global view")


  public Integer getRoles() {
    return roles;
  }

  public void setRoles(Integer roles) {
    this.roles = roles;
  }

  public RoleVo samlUsers(Integer samlUsers) {
    this.samlUsers = samlUsers;
    return this;
  }

  /**
   * saml users in global view
   * @return samlUsers
  */
  @ApiModelProperty(value = "saml users in global view")


  public Integer getSamlUsers() {
    return samlUsers;
  }

  public void setSamlUsers(Integer samlUsers) {
    this.samlUsers = samlUsers;
  }

  public RoleVo samlRoles(Integer samlRoles) {
    this.samlRoles = samlRoles;
    return this;
  }

  /**
   * saml roles in global view
   * @return samlRoles
  */
  @ApiModelProperty(value = "saml roles in global view")


  public Integer getSamlRoles() {
    return samlRoles;
  }

  public void setSamlRoles(Integer samlRoles) {
    this.samlRoles = samlRoles;
  }

  public RoleVo samlSsos(Integer samlSsos) {
    this.samlSsos = samlSsos;
    return this;
  }

  /**
   * saml ssos in global view
   * @return samlSsos
  */
  @ApiModelProperty(value = "saml ssos in global view")


  public Integer getSamlSsos() {
    return samlSsos;
  }

  public void setSamlSsos(Integer samlSsos) {
    this.samlSsos = samlSsos;
  }

  public RoleVo globalSetting(Integer globalSetting) {
    this.globalSetting = globalSetting;
    return this;
  }

  /**
   * settings in global view
   * @return globalSetting
  */
  @ApiModelProperty(value = "settings in global view")


  public Integer getGlobalSetting() {
    return globalSetting;
  }

  public void setGlobalSetting(Integer globalSetting) {
    this.globalSetting = globalSetting;
  }

  public RoleVo exportData(Integer exportData) {
    this.exportData = exportData;
    return this;
  }

  /**
   * export data in site view
   * @return exportData
  */
  @ApiModelProperty(value = "export data in site view")


  public Integer getExportData() {
    return exportData;
  }

  public void setExportData(Integer exportData) {
    this.exportData = exportData;
  }

  public RoleVo globalExportData(Integer globalExportData) {
    this.globalExportData = globalExportData;
    return this;
  }

  /**
   * export data in global view
   * @return globalExportData
  */
  @ApiModelProperty(value = "export data in global view")


  public Integer getGlobalExportData() {
    return globalExportData;
  }

  public void setGlobalExportData(Integer globalExportData) {
    this.globalExportData = globalExportData;
  }

  public RoleVo exportGlobalLog(Integer exportGlobalLog) {
    this.exportGlobalLog = exportGlobalLog;
    return this;
  }

  /**
   * export global log data in global view
   * @return exportGlobalLog
  */
  @ApiModelProperty(value = "export global log data in global view")


  public Integer getExportGlobalLog() {
    return exportGlobalLog;
  }

  public void setExportGlobalLog(Integer exportGlobalLog) {
    this.exportGlobalLog = exportGlobalLog;
  }

  public RoleVo hotspot(Integer hotspot) {
    this.hotspot = hotspot;
    return this;
  }

  /**
   * hotspot
   * @return hotspot
  */
  @ApiModelProperty(value = "hotspot")


  public Integer getHotspot() {
    return hotspot;
  }

  public void setHotspot(Integer hotspot) {
    this.hotspot = hotspot;
  }

  public RoleVo statics(Integer statics) {
    this.statics = statics;
    return this;
  }

  /**
   * statics
   * @return statics
  */
  @ApiModelProperty(value = "statics")


  public Integer getStatics() {
    return statics;
  }

  public void setStatics(Integer statics) {
    this.statics = statics;
  }

  public RoleVo map(Integer map) {
    this.map = map;
    return this;
  }

  /**
   * map
   * @return map
  */
  @ApiModelProperty(value = "map")


  public Integer getMap() {
    return map;
  }

  public void setMap(Integer map) {
    this.map = map;
  }

  public RoleVo clients(Integer clients) {
    this.clients = clients;
    return this;
  }

  /**
   * clients
   * @return clients
  */
  @ApiModelProperty(value = "clients")


  public Integer getClients() {
    return clients;
  }

  public void setClients(Integer clients) {
    this.clients = clients;
  }

  public RoleVo insight(Integer insight) {
    this.insight = insight;
    return this;
  }

  /**
   * insight
   * @return insight
  */
  @ApiModelProperty(value = "insight")


  public Integer getInsight() {
    return insight;
  }

  public void setInsight(Integer insight) {
    this.insight = insight;
  }

  public RoleVo report(Integer report) {
    this.report = report;
    return this;
  }

  /**
   * network report
   * @return report
  */
  @ApiModelProperty(value = "network report")


  public Integer getReport() {
    return report;
  }

  public void setReport(Integer report) {
    this.report = report;
  }

  public RoleVo network(Integer network) {
    this.network = network;
    return this;
  }

  /**
   * site network settings
   * @return network
  */
  @ApiModelProperty(value = "site network settings")


  public Integer getNetwork() {
    return network;
  }

  public void setNetwork(Integer network) {
    this.network = network;
  }

  public RoleVo deviceAccount(Integer deviceAccount) {
    this.deviceAccount = deviceAccount;
    return this;
  }

  /**
   * device account
   * @return deviceAccount
  */
  @ApiModelProperty(value = "device account")


  public Integer getDeviceAccount() {
    return deviceAccount;
  }

  public void setDeviceAccount(Integer deviceAccount) {
    this.deviceAccount = deviceAccount;
  }

  public RoleVo anomaly(Integer anomaly) {
    this.anomaly = anomaly;
    return this;
  }

  /**
   * anomaly
   * @return anomaly
  */
  @ApiModelProperty(value = "anomaly")


  public Integer getAnomaly() {
    return anomaly;
  }

  public void setAnomaly(Integer anomaly) {
    this.anomaly = anomaly;
  }

  public RoleVo analyze(Integer analyze) {
    this.analyze = analyze;
    return this;
  }

  /**
   * analyze
   * @return analyze
  */
  @ApiModelProperty(value = "analyze")


  public Integer getAnalyze() {
    return analyze;
  }

  public void setAnalyze(Integer analyze) {
    this.analyze = analyze;
  }

  public RoleVo siteAnalyze(Integer siteAnalyze) {
    this.siteAnalyze = siteAnalyze;
    return this;
  }

  /**
   * analyze in site view
   * @return siteAnalyze
  */
  @ApiModelProperty(value = "analyze in site view")


  public Integer getSiteAnalyze() {
    return siteAnalyze;
  }

  public void setSiteAnalyze(Integer siteAnalyze) {
    this.siteAnalyze = siteAnalyze;
  }

  public RoleVo globalSecurity(Integer globalSecurity) {
    this.globalSecurity = globalSecurity;
    return this;
  }

  /**
   * security
   * @return globalSecurity
  */
  @ApiModelProperty(value = "security")


  public Integer getGlobalSecurity() {
    return globalSecurity;
  }

  public void setGlobalSecurity(Integer globalSecurity) {
    this.globalSecurity = globalSecurity;
  }

  public RoleVo globalWebhook(Integer globalWebhook) {
    this.globalWebhook = globalWebhook;
    return this;
  }

  /**
   * Webhook
   * @return globalWebhook
  */
  @ApiModelProperty(value = "Webhook")


  public Integer getGlobalWebhook() {
    return globalWebhook;
  }

  public void setGlobalWebhook(Integer globalWebhook) {
    this.globalWebhook = globalWebhook;
  }

  public RoleVo globalMapToken(Integer globalMapToken) {
    this.globalMapToken = globalMapToken;
    return this;
  }

  /**
   * Map Token
   * @return globalMapToken
  */
  @ApiModelProperty(value = "Map Token")


  public Integer getGlobalMapToken() {
    return globalMapToken;
  }

  public void setGlobalMapToken(Integer globalMapToken) {
    this.globalMapToken = globalMapToken;
  }

  public RoleVo siteTemplate(Integer siteTemplate) {
    this.siteTemplate = siteTemplate;
    return this;
  }

  /**
   * Site Template
   * @return siteTemplate
  */
  @ApiModelProperty(value = "Site Template")


  public Integer getSiteTemplate() {
    return siteTemplate;
  }

  public void setSiteTemplate(Integer siteTemplate) {
    this.siteTemplate = siteTemplate;
  }

  public RoleVo globalFirmware(Integer globalFirmware) {
    this.globalFirmware = globalFirmware;
    return this;
  }

  /**
   * Firmware Manager
   * @return globalFirmware
  */
  @ApiModelProperty(value = "Firmware Manager")


  public Integer getGlobalFirmware() {
    return globalFirmware;
  }

  public void setGlobalFirmware(Integer globalFirmware) {
    this.globalFirmware = globalFirmware;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    RoleVo roleVo = (RoleVo) o;
    return Objects.equals(this.mspDashboard, roleVo.mspDashboard) &&
        Objects.equals(this.mspDevice, roleVo.mspDevice) &&
        Objects.equals(this.mspLog, roleVo.mspLog) &&
        Objects.equals(this.mspLicense, roleVo.mspLicense) &&
        Objects.equals(this.mspLicenseBind, roleVo.mspLicenseBind) &&
        Objects.equals(this.mspUsers, roleVo.mspUsers) &&
        Objects.equals(this.mspRoles, roleVo.mspRoles) &&
        Objects.equals(this.mspSamlUsers, roleVo.mspSamlUsers) &&
        Objects.equals(this.mspSamlRoles, roleVo.mspSamlRoles) &&
        Objects.equals(this.mspSamlSsos, roleVo.mspSamlSsos) &&
        Objects.equals(this.mspSetting, roleVo.mspSetting) &&
        Objects.equals(this.mspExportData, roleVo.mspExportData) &&
        Objects.equals(this.mspAdopt, roleVo.mspAdopt) &&
        Objects.equals(this.mspAddDevices, roleVo.mspAddDevices) &&
        Objects.equals(this.mspAddAdoptDevice, roleVo.mspAddAdoptDevice) &&
        Objects.equals(this.mspWebhook, roleVo.mspWebhook) &&
        Objects.equals(this.mspSites, roleVo.mspSites) &&
        Objects.equals(this.globalDashboard, roleVo.globalDashboard) &&
        Objects.equals(this.dashboard, roleVo.dashboard) &&
        Objects.equals(this.devices, roleVo.devices) &&
        Objects.equals(this.adopt, roleVo.adopt) &&
        Objects.equals(this.addDevices, roleVo.addDevices) &&
        Objects.equals(this.addAdoptDevice, roleVo.addAdoptDevice) &&
        Objects.equals(this.globalLog, roleVo.globalLog) &&
        Objects.equals(this.manualUpgrade, roleVo.manualUpgrade) &&
        Objects.equals(this.log, roleVo.log) &&
        Objects.equals(this.license, roleVo.license) &&
        Objects.equals(this.licenseBind, roleVo.licenseBind) &&
        Objects.equals(this.users, roleVo.users) &&
        Objects.equals(this.roles, roleVo.roles) &&
        Objects.equals(this.samlUsers, roleVo.samlUsers) &&
        Objects.equals(this.samlRoles, roleVo.samlRoles) &&
        Objects.equals(this.samlSsos, roleVo.samlSsos) &&
        Objects.equals(this.globalSetting, roleVo.globalSetting) &&
        Objects.equals(this.exportData, roleVo.exportData) &&
        Objects.equals(this.globalExportData, roleVo.globalExportData) &&
        Objects.equals(this.exportGlobalLog, roleVo.exportGlobalLog) &&
        Objects.equals(this.hotspot, roleVo.hotspot) &&
        Objects.equals(this.statics, roleVo.statics) &&
        Objects.equals(this.map, roleVo.map) &&
        Objects.equals(this.clients, roleVo.clients) &&
        Objects.equals(this.insight, roleVo.insight) &&
        Objects.equals(this.report, roleVo.report) &&
        Objects.equals(this.network, roleVo.network) &&
        Objects.equals(this.deviceAccount, roleVo.deviceAccount) &&
        Objects.equals(this.anomaly, roleVo.anomaly) &&
        Objects.equals(this.analyze, roleVo.analyze) &&
        Objects.equals(this.siteAnalyze, roleVo.siteAnalyze) &&
        Objects.equals(this.globalSecurity, roleVo.globalSecurity) &&
        Objects.equals(this.globalWebhook, roleVo.globalWebhook) &&
        Objects.equals(this.globalMapToken, roleVo.globalMapToken) &&
        Objects.equals(this.siteTemplate, roleVo.siteTemplate) &&
        Objects.equals(this.globalFirmware, roleVo.globalFirmware);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mspDashboard, mspDevice, mspLog, mspLicense, mspLicenseBind, mspUsers, mspRoles, mspSamlUsers, mspSamlRoles, mspSamlSsos, mspSetting, mspExportData, mspAdopt, mspAddDevices, mspAddAdoptDevice, mspWebhook, mspSites, globalDashboard, dashboard, devices, adopt, addDevices, addAdoptDevice, globalLog, manualUpgrade, log, license, licenseBind, users, roles, samlUsers, samlRoles, samlSsos, globalSetting, exportData, globalExportData, exportGlobalLog, hotspot, statics, map, clients, insight, report, network, deviceAccount, anomaly, analyze, siteAnalyze, globalSecurity, globalWebhook, globalMapToken, siteTemplate, globalFirmware);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class RoleVo {\n");
    
    sb.append("    mspDashboard: ").append(toIndentedString(mspDashboard)).append("\n");
    sb.append("    mspDevice: ").append(toIndentedString(mspDevice)).append("\n");
    sb.append("    mspLog: ").append(toIndentedString(mspLog)).append("\n");
    sb.append("    mspLicense: ").append(toIndentedString(mspLicense)).append("\n");
    sb.append("    mspLicenseBind: ").append(toIndentedString(mspLicenseBind)).append("\n");
    sb.append("    mspUsers: ").append(toIndentedString(mspUsers)).append("\n");
    sb.append("    mspRoles: ").append(toIndentedString(mspRoles)).append("\n");
    sb.append("    mspSamlUsers: ").append(toIndentedString(mspSamlUsers)).append("\n");
    sb.append("    mspSamlRoles: ").append(toIndentedString(mspSamlRoles)).append("\n");
    sb.append("    mspSamlSsos: ").append(toIndentedString(mspSamlSsos)).append("\n");
    sb.append("    mspSetting: ").append(toIndentedString(mspSetting)).append("\n");
    sb.append("    mspExportData: ").append(toIndentedString(mspExportData)).append("\n");
    sb.append("    mspAdopt: ").append(toIndentedString(mspAdopt)).append("\n");
    sb.append("    mspAddDevices: ").append(toIndentedString(mspAddDevices)).append("\n");
    sb.append("    mspAddAdoptDevice: ").append(toIndentedString(mspAddAdoptDevice)).append("\n");
    sb.append("    mspWebhook: ").append(toIndentedString(mspWebhook)).append("\n");
    sb.append("    mspSites: ").append(toIndentedString(mspSites)).append("\n");
    sb.append("    globalDashboard: ").append(toIndentedString(globalDashboard)).append("\n");
    sb.append("    dashboard: ").append(toIndentedString(dashboard)).append("\n");
    sb.append("    devices: ").append(toIndentedString(devices)).append("\n");
    sb.append("    adopt: ").append(toIndentedString(adopt)).append("\n");
    sb.append("    addDevices: ").append(toIndentedString(addDevices)).append("\n");
    sb.append("    addAdoptDevice: ").append(toIndentedString(addAdoptDevice)).append("\n");
    sb.append("    globalLog: ").append(toIndentedString(globalLog)).append("\n");
    sb.append("    manualUpgrade: ").append(toIndentedString(manualUpgrade)).append("\n");
    sb.append("    log: ").append(toIndentedString(log)).append("\n");
    sb.append("    license: ").append(toIndentedString(license)).append("\n");
    sb.append("    licenseBind: ").append(toIndentedString(licenseBind)).append("\n");
    sb.append("    users: ").append(toIndentedString(users)).append("\n");
    sb.append("    roles: ").append(toIndentedString(roles)).append("\n");
    sb.append("    samlUsers: ").append(toIndentedString(samlUsers)).append("\n");
    sb.append("    samlRoles: ").append(toIndentedString(samlRoles)).append("\n");
    sb.append("    samlSsos: ").append(toIndentedString(samlSsos)).append("\n");
    sb.append("    globalSetting: ").append(toIndentedString(globalSetting)).append("\n");
    sb.append("    exportData: ").append(toIndentedString(exportData)).append("\n");
    sb.append("    globalExportData: ").append(toIndentedString(globalExportData)).append("\n");
    sb.append("    exportGlobalLog: ").append(toIndentedString(exportGlobalLog)).append("\n");
    sb.append("    hotspot: ").append(toIndentedString(hotspot)).append("\n");
    sb.append("    statics: ").append(toIndentedString(statics)).append("\n");
    sb.append("    map: ").append(toIndentedString(map)).append("\n");
    sb.append("    clients: ").append(toIndentedString(clients)).append("\n");
    sb.append("    insight: ").append(toIndentedString(insight)).append("\n");
    sb.append("    report: ").append(toIndentedString(report)).append("\n");
    sb.append("    network: ").append(toIndentedString(network)).append("\n");
    sb.append("    deviceAccount: ").append(toIndentedString(deviceAccount)).append("\n");
    sb.append("    anomaly: ").append(toIndentedString(anomaly)).append("\n");
    sb.append("    analyze: ").append(toIndentedString(analyze)).append("\n");
    sb.append("    siteAnalyze: ").append(toIndentedString(siteAnalyze)).append("\n");
    sb.append("    globalSecurity: ").append(toIndentedString(globalSecurity)).append("\n");
    sb.append("    globalWebhook: ").append(toIndentedString(globalWebhook)).append("\n");
    sb.append("    globalMapToken: ").append(toIndentedString(globalMapToken)).append("\n");
    sb.append("    siteTemplate: ").append(toIndentedString(siteTemplate)).append("\n");
    sb.append("    globalFirmware: ").append(toIndentedString(globalFirmware)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

